# Generated from churn-1.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name churn

Name: rubygem-%{gem_name}
Version: 1.0.8
Release: 1%{?dist}
Summary: Providing additional churn metrics over the original metric_fu churn
License: MIT
URL: http://github.com/danmayer/churn
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(minitest) >= 5.3
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(test_construct) >= 2.0.0
# BuildRequires: rubygem(test_construct) < 2.1
# BuildRequires: rubygem(mocha) >= 1.1.0
# BuildRequires: rubygem(mocha) < 1.2
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard) >= 0.9.20
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(ronn)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(activesupport) >= 4.0
BuildArch: noarch

%description
High method and class churn has been shown to have increased bug and error
rates. This gem helps you know what is changing a lot so you can do additional
testing, code review, or refactoring to try to tame the volatile code. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/churn
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/churn.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.8-1
- Initial package
